/*!
* @file Authority.h
* @brief 権能のプロトタイプ宣言
* @date 2013/12/22
* @author Deskull
* 2013 Sikabane Works.
*/

#pragma once

#include "stdafx.h"
#include "Deeangband.h"
#include "CreatureTemplate.h"

namespace Deeangband
{

	/*! 
	* @class Authority
	* @brief 権能のクラス
	*/
	class Authority : public CreatureTemplate
	{
	private:

	public:

		/*! 
		* @brief Authorityクラスコンストラクタ
		*/
		Authority::Authority(void);

		/*! 
		* @brief Authorityクラスデストラクタ
		*/
		Authority::~Authority(void);

		/*! 
		* @brief Authorityクラスのデータ消去
		* @return なし
		*/
		void Authority::WipeData(void);

	};
}

